package dk.ti.share5.client.cache.user;

public interface CurrentUserCache {

	public CurrentUser getUser();

	public void login(String user, String pwd) throws LoginFailedException;

	public static class CurrentUser {

		private String pwd;

		private String user;

		public CurrentUser(String user, String pwd) {
			this.user = user;
			this.pwd = pwd;
		}

		public String getPwd() {
			return pwd;
		}

		public String getUser() {
			return user;
		}
	}

	@SuppressWarnings("serial")
	public static class LoginFailedException extends Exception {

	}
}