import javafx.application.Application;
import javafx.application.Platform;
import javafx.scene.Scene;
import javafx.stage.Stage;

public class Lanceur extends Application {

	private Stage primaryStage;

	@Override
	public void start(Stage _stage) throws Exception {

		this.primaryStage = _stage;
		DesktopControler controler = new DesktopControler(primaryStage);
		Scene scene = new Scene(controler.getDekstopView());

		primaryStage.setScene(scene);
		primaryStage.setTitle("Bac  Sable FX");
		primaryStage.setWidth(800);
		primaryStage.setHeight(550);
		primaryStage.centerOnScreen();
		primaryStage.show();
		controler.getDekstopView().requestFocus();
	}

	public static void main(String[] args) {
		Platform.setImplicitExit(false);
		launch(args);
	}
}
