package task.first;

import javafx.fxml.FXML;
import javafx.geometry.Insets;
import javafx.scene.control.Label;
import javafx.scene.image.ImageView;
import javafx.scene.input.MouseEvent;
import javafx.scene.layout.VBox;
import javafx.scene.paint.Color;
import org.controlsfx.control.PopOver;

/**
 * Idaho State Insurance Fund
 * Created by dfues on 7/23/2014.
 */
public class TaskFirstController {

    @FXML
    private ImageView navIcon;



    @FXML
    public void initialize() {


        VBox box = new VBox();
        Label policyOpen = new Label("Open Policy");
        Label policySearch = new Label("Search For Policy");
        Label quoteOpen = new Label("Open Quote");
        Label quoteSearch = new Label("Search For Quote");
        Label otherOption = new Label("Other Option");

        box.setPadding(new Insets(15));
        box.setSpacing(15);

        box.getChildren().addAll(policyOpen, policySearch, quoteOpen, quoteSearch, otherOption);
        PopOver po = new PopOver(box);
        po.setAutoHide(true);

        navIcon.setOnMouseEntered(e->navIcon.setRotate(15));
        navIcon.setOnMouseExited(e -> navIcon.setRotate(0));
        navIcon.setOnMouseClicked(e ->{
            po.show(navIcon);
        });


    }
}
