

import javafx.application.Application;
import javafx.scene.Scene;
import javafx.scene.layout.HBox;
import javafx.stage.Stage;

import org.controlsfx.control.Rating;

public class RatingPartial extends Application{

	@Override
	public void start(Stage primaryStage) throws Exception {
		Rating rating = new Rating();
		rating.setPartialRating(true);
		rating.setRating(4.5);

		HBox box = new HBox();
		box.getChildren().addAll(rating);
		
		Scene scene = new Scene(box);
		primaryStage.setScene(scene);
		primaryStage.show();
		
	}
	
	public static void main(String[] args) {
		launch(args);
	}

}
