package propertysheetdemo;

import javafx.beans.property.SimpleStringProperty;
import javafx.beans.property.StringProperty;

public class Person {

    public Person(String name) {
        this.name.set(name);
    }
    
    private final StringProperty name = new SimpleStringProperty(this, "name", "Unknown");

    public String getName() {
        return name.get();
    }

    public void setName(String name) {
        this.name.set(name);
    }

    public StringProperty nameProperty() {
        return name;
    }

}