package popoverbreak;

import javafx.application.Application;
import javafx.event.ActionEvent;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.Label;
import javafx.scene.layout.StackPane;
import javafx.scene.layout.VBox;
import javafx.stage.Popup;
import javafx.stage.Stage;
import javafx.util.Duration;
import org.controlsfx.control.PopOver;

public class PopOverBreak extends Application {
    
    @Override
    public void start(Stage primaryStage) {
        System.out.println(com.sun.javafx.runtime.VersionInfo.getRuntimeVersion());
        
        Button btn = new Button();
        btn.setText("Other stage");
        btn.setOnAction((ActionEvent event) -> {
            
            Stage stage = new Stage();
            stage.setTitle("Secondary");
            
//            Popup pop = new Popup();
//            pop.getContent().add(new Label("Content"));
            
            PopOver pop = new PopOver(new Label("Content"));
            Button popbtn = new Button("PopOver");
            popbtn.setOnAction(evt -> {
                pop.setDetached(true);
//                pop.show(popbtn);
                pop.show(popbtn, 500, 500);
            });
            Button close = new Button("Close");
            close.setOnAction(evt -> {
//                pop.hide(Duration.ZERO);
                stage.hide();
            });
            
            stage.setScene(new Scene(new VBox(popbtn, close)));
            stage.show();
        });
        
        StackPane root = new StackPane();
        root.getChildren().add(btn);
        
        Scene scene = new Scene(root, 300, 250);
        
        primaryStage.setTitle("Main");
        primaryStage.setScene(scene);
        primaryStage.show();
        
        primaryStage.setOnCloseRequest((evt) -> System.exit(0));
    }

    public static void main(String[] args) {
        launch(args);
    }
    
}
