import javafx.beans.property.IntegerProperty;
import javafx.beans.value.ChangeListener;
import javafx.beans.value.ObservableValue;

public class MyScrollbarListener implements ChangeListener<Number> {

	private IntegerProperty theCurrentValueRow;

	public MyScrollbarListener(IntegerProperty _valueRow) {

		this.theCurrentValueRow = _valueRow;
	}

	@Override
	public void changed(ObservableValue<? extends Number> arg0, Number _oldValue, Number _newValue) {

		System.out.println("J'ai scroll ... " + _newValue);
		int valueRow = (int) Math.round(Math.floor(10000 * (Double) _newValue));
		this.theCurrentValueRow.setValue(valueRow);
	}
}
