package popover.test;

import java.net.URL;
import java.util.ResourceBundle;

import javafx.fxml.FXML;
import javafx.fxml.Initializable;
import javafx.scene.control.Label;

public class TestPopOverController implements Initializable {

	@FXML
	Label	valueOne;
	@FXML
	Label	valueTwo;
	@FXML
	Label	valueThree;

	Widget	widget;

	public TestPopOverController(Widget widget) {
		this.widget = widget;
	}

	@Override
	public void initialize(URL location, ResourceBundle resources) {
		valueOne.textProperty().bindBidirectional(widget.valueOneProperty());
		valueTwo.textProperty().bindBidirectional(widget.valueTwoProperty());
		valueThree.textProperty().bindBidirectional(widget.valueThreeProperty());
	}

}
