package popover.test;

import java.util.Random;

import javafx.beans.property.SimpleStringProperty;
import javafx.beans.property.StringProperty;

public class Widget {

	static String[]	greek	= {"Alpha", "Beta", "Gamma", "Delta", "Epsilon", "Zeta", "Eta", "Theta", "Iota", "Kappa", "Lambda", "Mu", "Nu", "Omicron", "Pi", "Rho", "Sigma", "Tau", "Upsilon", "Omega"};

	public Widget() {
		java.util.Random random = new Random();
		valueOneProperty().set(greek[random.nextInt(greek.length)]);
		valueTwoProperty().set(greek[random.nextInt(greek.length)]);
		valueThreeProperty().set(greek[random.nextInt(greek.length)]);
	}

	String							valueOne;
	transient SimpleStringProperty	valueOneProperty;

	public final String getValueOne() {
		if (valueOneProperty != null) {
			return valueOneProperty.get();
		} else {
			return valueOne;
		}
	}

	public final void setValueOne(String valueOne) {
		if (valueOneProperty != null) {
			valueOneProperty.set(valueOne);
		} else {
			this.valueOne = valueOne;
		}
	}

	public StringProperty valueOneProperty() {
		if (valueOneProperty == null) {
			valueOneProperty = new SimpleStringProperty(this, "valueOne", valueOne);
		}
		return valueOneProperty;
	}

	String							valueTwo;
	transient SimpleStringProperty	valueTwoProperty;

	public final String getValueTwo() {
		if (valueTwoProperty != null) {
			return valueTwoProperty.get();
		} else {
			return valueTwo;
		}
	}

	public final void setValueTwo(String valueTwo) {
		if (valueTwoProperty != null) {
			valueTwoProperty.set(valueTwo);
		} else {
			this.valueTwo = valueTwo;
		}
	}

	public StringProperty valueTwoProperty() {
		if (valueTwoProperty == null) {
			valueTwoProperty = new SimpleStringProperty(this, "valueTwo", valueTwo);
		}
		return valueTwoProperty;
	}

	String							valueThree;
	transient SimpleStringProperty	valueThreeProperty;

	public final String getValueThree() {
		if (valueThreeProperty != null) {
			return valueThreeProperty.get();
		} else {
			return valueThree;
		}
	}

	public final void setValueThree(String valueThree) {
		if (valueThreeProperty != null) {
			valueThreeProperty.set(valueThree);
		} else {
			this.valueThree = valueThree;
		}
	}

	public StringProperty valueThreeProperty() {
		if (valueThreeProperty == null) {
			valueThreeProperty = new SimpleStringProperty(this, "valueThree", valueThree);
		}
		return valueThreeProperty;
	}

}
