import javafx.application.Application;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.ToggleButton;
import javafx.scene.control.ToolBar;
import javafx.scene.layout.AnchorPane;
import javafx.stage.Stage;
import org.controlsfx.control.SegmentedButton;

/**
 * TODO write documentation<br>
 * <br>
 * Created at 02/10/14 15:19.<br>
 *
 * @author Vianney
 */
public class Main extends Application {
    private AnchorPane root = new AnchorPane();
    private ToolBar toolBar = new ToolBar();
    private SegmentedButton segmentedButton = new SegmentedButton();


    @Override
    public void start(Stage primaryStage) throws Exception {
        AnchorPane.setTopAnchor(toolBar, 0d);
        AnchorPane.setLeftAnchor(toolBar, 0d);
        AnchorPane.setRightAnchor(toolBar, 0d);

        segmentedButton.getButtons().add(new ToggleButton("Segmented left"));
        segmentedButton.getButtons().add(new ToggleButton("Segmented right"));

        // Uncomment the next line to fix the problem
        //segmentedButton.setMaxHeight(Region.USE_PREF_SIZE);

        toolBar.getItems().add(segmentedButton);
        toolBar.getItems().add(new Button("Cutton"));
        toolBar.getItems().add(new ToggleButton("ToggleButton"));
        toolBar.setPrefHeight(100);

        root.getChildren().add(toolBar);

        Scene scene = new Scene(root, 480, 300);
        primaryStage.setScene(scene);
        primaryStage.show();
    }

    public static void main(String[] args) {
        launch(args);
    }
}
