package controlsfxvalidationissue;

import java.net.URL;
import java.util.ResourceBundle;
import javafx.fxml.FXML;
import javafx.fxml.Initializable;
import javafx.scene.control.TextField;
import org.controlsfx.validation.ValidationSupport;
import org.controlsfx.validation.Validator;


public class FXMLController implements Initializable {
    
    
    private ValidationSupport validationSupport = new ValidationSupport();
    
    @FXML
    private TextField fxtext;

    @Override
    public void initialize(URL url, ResourceBundle rb) {
        validationSupport.registerValidator(fxtext, Validator.createEmptyValidator("Text is required"));
    }    
    
}
