import javafx.application.Platform;
import javafx.scene.Node;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.TextField;
import javafx.scene.layout.StackPane;
import javafx.stage.Stage;
import org.controlsfx.control.PopOver;

public class PopoverExample extends javafx.application.Application{

	@Override public void start(Stage primaryStage) throws Exception {
		StackPane root = new StackPane();
		Button button = new Button("Show popover");
		button.setOnAction(event -> showPopover(button));
		root.getChildren().add(button);
		final Scene scene = new Scene(root);
		primaryStage.setScene(scene);
		primaryStage.setOnCloseRequest(event -> {
			Platform.exit();
			System.exit(0);
		});
		primaryStage.show();
	}

	private void showPopover(Node node) {
		PopOver popOver = new PopOver(new TextField());
		popOver.show(node);
	}

	public static void main(String[] args) {
		launch(args);
	}

}
