import javafx.application.Application;
import javafx.scene.Scene;
import javafx.scene.control.SplitPane;
import javafx.scene.control.TextArea;
import javafx.scene.control.TextField;
import javafx.scene.layout.BorderPane;
import javafx.stage.Stage;
import org.controlsfx.control.textfield.TextFields;

class Root extends BorderPane {

    Root() {
        TextField field = new TextField();
//        TextField field = TextFields.createClearableTextField();

        SplitPane splitPane =
                new SplitPane(new BorderPane(field), new BorderPane(new TextArea()));


        setCenter(splitPane);
    }
}

public class DemoApp extends Application {
    public static void main(String[] args) {
        launch(args);
    }

    @Override
    public void start(Stage stage) throws Exception {
        Scene scene = new Scene(new Root());

        stage.setScene(scene);
        stage.setHeight(200);
        stage.setWidth(800);
        stage.show();
    }
}
