import javafx.application.Application;
import javafx.collections.FXCollections;
import javafx.scene.Scene;
import javafx.scene.control.ComboBox;
import javafx.scene.control.TextField;
import javafx.scene.control.TitledPane;
import javafx.scene.layout.FlowPane;
import javafx.stage.Stage;
import org.controlsfx.validation.ValidationMessage;
import org.controlsfx.validation.decoration.StyleClassValidationDecoration;
import org.controlsfx.validation.decoration.ValidationDecoration;

public class Test extends Application {

  @Override
  public void start( Stage aStage ) throws Exception {
    FlowPane container = new FlowPane( 10, 10 );

    TextField textField = new TextField();
    ComboBox<String> combo = new ComboBox<>( FXCollections.observableArrayList( "one", "two", "three" ) );

    ValidationDecoration decoration = new StyleClassValidationDecoration( "testerrorclass", "testwarningclass" );
    decoration.applyValidationDecoration( ValidationMessage.warning( textField, "test" ) );

    container.getChildren().addAll( textField, combo );

    TitledPane p = new TitledPane();
    p.setContent( container );
    aStage.setScene( new Scene( p ) );
    aStage.show();
  }
}
