package bug.controlsfx;

import javafx.application.Application;
import javafx.scene.Scene;
import javafx.scene.layout.BorderPane;
import javafx.scene.layout.GridPane;
import javafx.stage.Stage;

import org.controlsfx.control.PropertySheet;

public class Main extends Application {

    /**
     * @param args
     *            the starting args
     */
    public static void main(final String[] args) {
        launch(args);
    }

    /** {@inheritDoc} */
    @Override
    public final void start(final Stage stage) {
        final BorderPane bp = new BorderPane();
        final GridPane gp = new GridPane();
        bp.getChildren().add(gp);
        gp.add(new PropertySheet(), 0, 0);
        final Scene scene = new Scene(bp);
        stage.setScene(scene);
        stage.centerOnScreen();
        stage.setTitle("CustomTextFieldPureJava");
        stage.show();
    }

}
